DROP DATABASE IF EXISTS PROJET_QUIZZ;
CREATE DATABASE PROJET_QUIZZ;
USE PROJET_QUIZZ;

CREATE TABLE QUIZZ (
  id int PRIMARY KEY AUTO_INCREMENT,
  titre varchar(255) NOT NULL,
  contenu text NOT NULL
);

INSERT INTO Quizz (titre, contenu) VALUES
('Quizz 1', 'Ca parle de Quizz 1'),
('Quizz 2', 'Ca parle de Quizz 2'),
('Quizz 3', 'Ca parle de Quizz 3'),
('Quizz 4', 'Ca parle de Quizz 4'),
('Quizz 5', 'Ca parle de Quizz 5');

CREATE TABLE QUESTIONS (
  id int PRIMARY KEY AUTO_INCREMENT,
  idQuizz int NOT NULL,
  libelle varchar(255) NOT NULL,
  numero tinyint NOT NULL DEFAULT 0,  
  FOREIGN KEY (idQuizz) references QUIZZ(id)
);
INSERT INTO QUESTIONS (idQuizz, libelle, numero) VALUES
(1, 'q1', 1),
(1, 'q2', 2),
(1, 'q3', 3),
(1, 'q4', 4),
(1, 'q5', 5),
(2, 'q1', 1),
(2, 'q2', 2),
(2, 'q3', 3),
(2, 'q4', 4),
(3, 'q1', 1),
(3, 'q2', 2),
(4, 'q1', 1),
(4, 'q2', 2),
(5, 'q1', 1),
(5, 'q2', 2);

CREATE TABLE REPONSES (
  id int PRIMARY KEY AUTO_INCREMENT,
  idQuestion int NOT NULL,
  libelle varchar(255) NOT NULL,
  numero tinyint NOT NULL DEFAULT 0, 
  bonneReponse tinyint NOT NULL DEFAULT 0, 
  FOREIGN KEY (idQuestion) references QUESTIONS(id)
);
INSERT INTO REPONSES (idQuestion, libelle, numero, bonneReponse) VALUES
(1, 'r1', 1, 1),
(1, 'r2', 2, 0),
(1, 'r3', 3, 0),
(2, 'r1', 1, 0),
(2, 'r2', 2, 1),
(2, 'r3', 3, 0),
(3, 'r1', 1, 0),
(3, 'r2', 2, 0),
(3, 'r3', 3, 1),
(4, 'r1', 1, 1),
(4, 'r2', 2, 0),
(4, 'r3', 3, 0),
(5, 'r1', 1, 0),
(5, 'r2', 2, 1),
(5, 'r3', 3, 0),
(6, 'r1', 1, 0),
(6, 'r2', 2, 0),
(6, 'r3', 3, 1),
(7, 'r1', 1, 1),
(7, 'r2', 2, 0),
(7, 'r3', 3, 0),
(8, 'r1', 1, 0),
(8, 'r2', 2, 1),
(8, 'r3', 3, 0),
(9, 'r1', 1, 0),
(9, 'r2', 2, 0),
(9, 'r3', 3, 1),
(10, 'r1', 1, 0),
(10, 'r2', 2, 1),
(10, 'r3', 3, 0),
(11, 'r1', 1, 0),
(11, 'r2', 2, 1),
(11, 'r3', 3, 0),
(12, 'r1', 1, 0),
(12, 'r2', 2, 1),
(12, 'r3', 3, 0),
(13, 'r1', 1, 0),
(13, 'r2', 2, 0),
(13, 'r3', 3, 1),
(14, 'r1', 1, 0),
(14, 'r2', 2, 0),
(14, 'r3', 3, 1),
(15, 'r1', 1, 0),
(15, 'r2', 2, 0),
(15, 'r3', 3, 1);

SELECT qz.*, q.*, r.* from quizz qz, questions q, reponses R 
where qz.id=q.idQuizz and q.id=r.idQuestion
order by qz.id, q.numero, r.numero;
